Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 44 lines (37 sloc) 1.868 kB
350bf0a @justinfrench first cut of a gem rake task, gemspec and version 0.1.0 gem (I hope)
authored
1 Gem::Specification.new do |s|
2 s.name = %q{formtastic}
335dc77 @justinfrench new gemspec
authored
3 s.version = "1.1.0"
350bf0a @justinfrench first cut of a gem rake task, gemspec and version 0.1.0 gem (I hope)
authored
4
335dc77 @justinfrench new gemspec
authored
5 s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
350bf0a @justinfrench first cut of a gem rake task, gemspec and version 0.1.0 gem (I hope)
authored
6 s.authors = ["Justin French"]
335dc77 @justinfrench new gemspec
authored
7 s.date = %q{2010-09-08}
350bf0a @justinfrench first cut of a gem rake task, gemspec and version 0.1.0 gem (I hope)
authored
8 s.description = %q{A Rails form builder plugin/gem with semantically rich and accessible markup}
791b477 @justinfrench simplified the shit out of the gemspec
authored
9 s.summary = %q{A Rails form builder plugin/gem with semantically rich and accessible markup}
350bf0a @justinfrench first cut of a gem rake task, gemspec and version 0.1.0 gem (I hope)
authored
10 s.email = %q{justin@indent.com.au}
791b477 @justinfrench simplified the shit out of the gemspec
authored
11 s.extra_rdoc_files = ["README.textile"]
12 s.files = Dir.glob("lib/**/*") + %w(MIT-LICENSE README.textile)
350bf0a @justinfrench first cut of a gem rake task, gemspec and version 0.1.0 gem (I hope)
authored
13 s.homepage = %q{http://github.com/justinfrench/formtastic/tree/master}
eed8b71 @justinfrench added a post_install_message to rake task/gemspec
authored
14 s.post_install_message = %q{
15 ========================================================================
16 Thanks for installing Formtastic!
b361e70 @justinfrench fixed activesupport and actionpack dependencies, generated a new gemspec
authored
17 ------------------------------------------------------------------------
8668583 @justinfrench new gemspec
authored
18 You can now (optionally) run the generator to copy some stylesheets and
eed8b71 @justinfrench added a post_install_message to rake task/gemspec
authored
19 a config initializer into your application:
a35c7a5 @yabawock Fix for already initialized constant (rails3) and rails/init.rb [GH-328]
yabawock authored
20 rails generator formastic:install # Rails 3
21 ./script/generate formtastic # Rails 2
eed8b71 @justinfrench added a post_install_message to rake task/gemspec
authored
22
d6a9dcf exisiting -> existing
Carl Douglas authored
23 To generate some semantic form markup for your existing models, just run:
a35c7a5 @yabawock Fix for already initialized constant (rails3) and rails/init.rb [GH-328]
yabawock authored
24 rails generate formtastic:form MODEL_NAME # Rails 3
25 ./script/generate form MODEL_NAME # Rails 2
b361e70 @justinfrench fixed activesupport and actionpack dependencies, generated a new gemspec
authored
26
2129d29 @justinfrench new gemspec and bumped version to 0.9.2
authored
27 Find out more and get involved:
eed8b71 @justinfrench added a post_install_message to rake task/gemspec
authored
28 http://github.com/justinfrench/formtastic
29 http://groups.google.com.au/group/formtastic
30 ========================================================================
31 }
fb507a2 @justinfrench Bumped gem version to 0.1.8, which includes three major changes:
authored
32 s.rdoc_options = ["--charset=UTF-8"]
350bf0a @justinfrench first cut of a gem rake task, gemspec and version 0.1.0 gem (I hope)
authored
33 s.require_paths = ["lib"]
eeba8d4 @justinfrench new gemspec
authored
34 s.rubygems_version = %q{1.3.6}
350bf0a @justinfrench first cut of a gem rake task, gemspec and version 0.1.0 gem (I hope)
authored
35
791b477 @justinfrench simplified the shit out of the gemspec
authored
36 s.add_dependency(%q<activesupport>, [">= 2.3.0"])
37 s.add_dependency(%q<actionpack>, [">= 2.3.0"])
38 s.add_dependency(%q<i18n>, [">= 0.4.0"])
39 s.add_development_dependency(%q<rspec-rails>, [">= 1.2.6"])
40 s.add_development_dependency(%q<rspec_tag_matchers>, [">= 1.0.0"])
350bf0a @justinfrench first cut of a gem rake task, gemspec and version 0.1.0 gem (I hope)
authored
41
42 end
bd3c06b @justinfrench new gemspec
authored
43
Something went wrong with that request. Please try again.